Loading...
Searching...
No Matches
CFGenFactory Class Reference

`#include <cf_generator.h>`

## Static Public Member Functions

static CFGenerator * | generate ()
static CFGenerator * | generate ()
static CFGenerator * | generate ()

## Detailed Description

Definition at line 117 of file cf_generator.h.

## Member Function Documentation

## generate() [1/3]

CFGenerator * CFGenFactory::generate | ( |  | ) |

static

Definition at line 221 of file cf_generator.cc.

{
if (getCharacteristic() == 0)
return new IntGenerator();
else if ( getGFDegree() > 1 )
return new GFGenerator();
else
return new FFGenerator();
}
getGFDegree
int getGFDegree()
Definition cf_char.cc:75
getCharacteristic
int FACTORY_PUBLIC getCharacteristic()
Definition cf_char.cc:70

## generate() [2/3]

CFGenerator * CFGenFactory::generate | ( |  | ) |

static

## generate() [3/3]

CFGenerator * CFGenFactory::generate | ( |  | ) |

static

The documentation for this class was generated from the following files:

- factory/cf_generator.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_generator.cc